diff options
author | Jim Meyering <meyering@redhat.com> | 2007-11-29 09:21:22 +0100 |
---|---|---|
committer | Jim Meyering <meyering@redhat.com> | 2008-02-09 10:30:33 +0100 |
commit | 72565ddffe0b249fc23bd8253564aaf3311f833c (patch) | |
tree | bf827f4d0980adc9f163359eda745c6e6a1e8675 /tests/ls | |
parent | 52d9bba7126de635eb356e3b379c5e4659ce2462 (diff) | |
download | coreutils-72565ddffe0b249fc23bd8253564aaf3311f833c.tar.xz |
tests: call skip_test_ in place of echo+exit 77
* tests/mv/no-target-dir: Likewise.
* tests/other-fs-tmpdir: Likewise.
* tests/rm/empty-name: Likewise.
* tests/rm/fail-eperm: Likewise.
* tests/rm/inaccessible: Likewise.
* tests/rm/isatty: Likewise.
* tests/rm/unreadable: Likewise.
* tests/setgid-check: Likewise.
* tests/sparse-file: Likewise.
* tests/strace: Likewise.
* tests/tail-2/append-only: Likewise.
* tests/tail-2/big-4gb: Likewise.
* tests/tail-2/tail-n0f: Likewise.
* tests/touch/dangling-symlink: Likewise.
* tests/touch/fifo: Likewise.
* tests/touch/not-owner: Likewise.
* tests/mv/i-3: Likewise.
* tests/umask-check: Likewise.
* tests/mv/acl: Likewise.
* tests/cp/acl: Likewise.
* tests/chgrp/deref: Likewise.
* tests/chmod/setgid: Likewise.
* tests/cp/existing-perm-race: Likewise.
* tests/cp/file-perm-race: Likewise.
* tests/cp/parent-perm-race: Likewise.
* tests/du/2g: Likewise.
* tests/du/8gb: Likewise.
* tests/du/long-from-unreadable: Likewise.
* tests/du/long-sloop: Likewise.
* tests/du/slink: Likewise.
* tests/ls/nameless-uid: Likewise.
* tests/ls/stat-dtype: Likewise.
* tests/misc/cat-proc: Likewise.
* tests/misc/md5sum-newline: Likewise.
* tests/misc/nice: Likewise.
* tests/misc/od-x8: Likewise.
* tests/misc/pwd-unreadable-parent: Likewise.
* tests/misc/selinux: Likewise.
* tests/misc/stty-row-col: Likewise.
* tests/misc/tac-continue: Likewise.
* tests/misc/arch: Likewise, and source $srcdir/../test-lib.sh *before*
the use of skip_test_.
Diffstat (limited to 'tests/ls')
-rwxr-xr-x | tests/ls/nameless-uid | 3 | ||||
-rwxr-xr-x | tests/ls/stat-dtype | 4 |
2 files changed, 2 insertions, 5 deletions
diff --git a/tests/ls/nameless-uid b/tests/ls/nameless-uid index 7512c187d..a78846ca4 100755 --- a/tests/ls/nameless-uid +++ b/tests/ls/nameless-uid @@ -34,8 +34,7 @@ $PERL -e 1 > /dev/null 2>&1 || { nameless_uid=`$PERL -e 'foreach my $i (1000..16*1024) { getpwuid $i or (print "$i\n"), exit }'` if test x$nameless_uid = x; then - echo "$0: couldn't find a nameless UID" 1>&2 - (exit 77); exit 77 + skip_test_ "couldn't find a nameless UID" fi touch f || framework_failure diff --git a/tests/ls/stat-dtype b/tests/ls/stat-dtype index c5ea4f567..5e1776e71 100755 --- a/tests/ls/stat-dtype +++ b/tests/ls/stat-dtype @@ -34,9 +34,7 @@ fi mkdir -p c/d || framework_failure chmod a-x c || framework_failure if test "X`ls -p c 2>&1`" != Xd/; then - echo "$0: '.' is not on a suitable file system for this test" 1>&2 - echo "$0: skipping this test" 1>&2 - (exit 77); exit 77 + skip_test_ "'.' is not on a suitable file system for this test" fi mkdir d || framework_failure |